Bug 901933 - Installer overwrites rEFInd/MacOS MBR bootloader without warning
Installer overwrites rEFInd/MacOS MBR bootloader without warning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-19 21:37 EST by Jason Antman
Modified: 2014-02-05 10:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 10:22:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Antman 2013-01-19 21:37:56 EST
Description of problem:
During installation, Anaconda fails to detect an existing Mac OS 10.8 installation with rEFInd Boot Manager installed. 

Version-Release number of selected component (if applicable):
N/A - Fedora 18 Final KDE x86-64 ISO

How reproducible:


Steps to Reproduce:
1. Pre-shink Mac OS partitions to provide space for Fedora installation.
2. Install rEFInd boot manager through Mac OS X.
3. Boot Fedora media via USB flash drive, select manual partitoning and lay out /boot. /, /home and swap partitions in free space.
4. Installer warns that no stage1 boot device is selected. Select disk that contains /boot partition.
5. Continue and finish installation.
  
Actual results:
At reboot, system boots directly to GRUB showing an option for Fedora and four Mac OS options (2x 32-bit and 2x 64-bit) none of which are functional.

Expected results:
At reboot, system boots to rEFInd boot manager as previously configured.
or
During installation, system detects existing rEFInd boot manager in EFI memory, or existing non-Linux partitions, and warns/confirms whether I want GRUB installed in MBR or in /boot.

Additional info:
Hardware in this case is MacBook Pro 6,2 (mid-2010). I'm able to recover from this issue by booting with the Option key (mac EFI boot selector) and booting to OS X, then re-installing rEFInd.

I guess this is relatively minor to me as I started running Linux on laptops with FC4 on a HP OmniBook, but it seems to me that if someone with relatively little Linux knowledge follows one of the many "install rEFInd and then let the Fedora installer do everything, it's smart" tutorials available online, and reboots to find no clear way to access their OS X installation (presumably with the data and applications that they need to use), it will make for a VERY bad first experience. 

I know this is an architectural decision, and I know that the installer is getting more and more user-friendly (IMHO to a fault, since this incident happened to me...), but I think there needs to be much more user interaction/explanation/confirmation before writing to the MBR, especially if there are other non-Linux partitions still on disk.
Comment 1 Fedora End Of Life 2013-12-21 05:35:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 10:22:10 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.